import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
var _excluded = ["className"];
import * as React from 'react';
import cx from 'classnames';
var UnstyledButton = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var className = props.className,
      rest = _objectWithoutProperties(props, _excluded);

  var buttonClass = cx('sg-button-unstyled', className);
  return /*#__PURE__*/React.createElement("button", _extends({}, rest, {
    ref: ref,
    className: buttonClass
  }));
});
export default UnstyledButton;